CentOS vs Ubuntu

Аватар пользователя Веня Веня 5 февраля в 11:02

Чё лучше поставить на VDS?
CentOS 7 или Ubuntu 16

Я изначально использую CentOS 7
Чел настраивал Drupal 7 с Node.js (использовал forever) и за 1 день дважды ломалась работа мессенджера Privatemsg:

опять отрубился node.
использую эту штуку: https://stackoverflow.com/a/12949606/247353
Но хрен его знает почему она его не рестартует, если крашится.
Или кто-то его спецом отключает.

Возможно поломка связана из-за настроек CentOS 7 и чел выссказал мнение, что он бы использовал что-нибудь дебиановское, убунту или сам дебиан.

Комментарии

Аватар пользователя Semantics Semantics 5 февраля в 11:45
1

Использовать Centos, это как иметь интимные сношения со старушками.
Во-первых, где-то может презираться
Во-вторых, нужно быть ценителем

Аватар пользователя Веня Веня 5 февраля в 12:29

эти 3 параметра меня не особо волнуют.
ведь только одна причина для смены оси:

опять отрубился node.
использую эту штуку: https://stackoverflow.com/a/12949606/247353
Но хрен его знает почему она его не рестартует, если крашится.
Или кто-то его спецом отключает.

Возможно поломка связана из-за настроек CentOS 7 и чел выссказал мнение, что он бы использовал что-нибудь дебиановское, убунту или сам дебиан.

Аватар пользователя bsyomov bsyomov 5 февраля в 15:48
1

Ubuntu если ставить, то 18.04 тогда уж, а не 16. А, ну и да, есть же уже Centos 8 наконец-то.

А в проблеме надо разобраться - это повод логи почитать, подебажить, а не менять ОС, как мне кажется.
И да, на кой чёрт вообще какой-то forever нужен, когда уже есть systemd, который вполне умеет запускать, перезапускать по необходимости, всё логировать и.т.п.

P.S. Вообще, я тоже предпочитаю debian-based дистрибутивы, и отчасти, согласен с @Semantics Smile

Аватар пользователя Веня Веня 5 февраля в 17:14

Благостный парень, который взялся помочь мне наладить работу модуля Privatemsg на Node.js с помощью модуля Node.js integration сказал, что ему вполне достаточно Ubuntu 16.

Этот парень очень авторитетный и умный --- он уже 13 лет на drupal.org (извиняюсь, не буду называть его имя).

Я вообще не знаю, нужен ли этот forever для работы Privatemsg c Node.js. Человек сказал, что нужен, но можно использовать и другие варианты. А этот он использовал как самый простой.

Аватар пользователя bsyomov bsyomov 5 февраля в 22:01
1

Нет никакого смысла в новой установке устаревшей версии операционной системы, даже если она влезает в минимальные требования.

Да, в другом треде вы конфиг искали, он для этого конкретного приложения будет называться nodejs.config.js, что легко понять по readme на https://github.com/beejeebus/drupal-nodejs вот его и поищите.

Аватар пользователя Веня Веня 5 февраля в 23:13
bsyomov wrote:

Нет никакого смысла в новой установке устаревшей версии ....

Въехал, спасибо!
Буду ставить Ubuntu 18.04.3.

bsyomov wrote:

Да, в другом треде вы конфиг искали ... будет называться nodejs.config.js ...

Спасибо!